Page MenuHomePhabricator

"Included groups" do not appear in New gerrit UI
Closed, ResolvedPublic

Description

Old UI:

New UI:

Looking at old patches I guess this is due to one of the included groups being ldap/wmde ?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2018, 8:49 AM

When I built that, I didn’t think about the rest api could be different heh.

I’ve done fixes on the master branch so it fixes support for the singleusergroup plugin. Not sure if when I fixed that, it also fixes support for ldap groups.

Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.Sep 6 2018, 9:52 PM
Paladox moved this task from Local hacks to PolyGerrit on the Gerrit board.
Paladox moved this task from PolyGerrit to Maybe fixed? on the Gerrit board.Oct 8 2018, 4:02 PM

Oh, i doin't see ldap/wmf in https://gerrit.wikimedia.org/r/admin/groups/1450,members which is running the fixed version (i back ported the changes).

Oh, i doin't see it in the old ui either, @Addshore please confirm weather you see it?

Paladox closed this task as Resolved.Oct 8 2018, 9:32 PM
Paladox claimed this task.

It's all fixed now. Included Groups now show in the UI. After back porting fixes.

I've done another fix and back porting it to 2.15. See https://gerrit-review.googlesource.com/c/gerrit/+/199090 .